package type;
public class AntiCodonListHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_alias_tc( id(),"AntiCodonList",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().create_struct_tc(id(),"AntiCodon",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("start",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("end",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("amino_acid",org.omg.CORBA.ORB.init().create_struct_tc(id(),"AminoAcid",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("code",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(9)),null),new org.omg.CORBA.StructMember("name",org.omg.CORBA.ORB.init().create_string_tc(0),null),new org.omg.CORBA.StructMember("abbreviation",org.omg.CORBA.ORB.init().create_string_tc(0),null)}),null)})));
	public AntiCodonListHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, type.AntiCodon[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static type.AntiCodon[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/AntiCodonList:1.0";
	}
	public static type.AntiCodon[] read(org.omg.CORBA.portable.InputStream _in)
	{
		type.AntiCodon[] _result;
		int _l_result = _in.read_long();
		_result = new type.AntiCodon[_l_result];
		for(int i=0;i<_l_result;i++)
		{
			_result[i]=type.AntiCodonHelper.read(_in);
		}

		return _result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, type.AntiCodon[] _s)
	{
		
		_out.write_long(_s.length);
		for( int i=0; i<_s.length;i++)
		{
			type.AntiCodonHelper.write(_out,_s[i]);
		}

	}
}
